package com.dasberg.gwt.dispatch;

import java.io.Serializable;

/**
 * Action exception.
 * @author mischa
 */
public class ActionException extends Exception implements Serializable {

    /** Constructor. */
    public ActionException() {
    }

    /**
     * Constructor.
     * @param s The message.
     */
    public ActionException(String s) {
        super(s);
    }

    /**
     * Constructor
     * @param s The message.
     * @param throwable Throwable.
     */
    public ActionException(String s, Throwable throwable) {
        super(s, throwable);
    }

    /**
     * Constructor.
     * @param throwable Throwable.
     */
    public ActionException(Throwable throwable) {
        super(throwable);
    }
}
