package com.dasberg.gwt.guice;

import com.dasberg.gwt.dispatch.ActionDispatcher;
import com.dasberg.gwt.dispatch.BindHandler;
import com.dasberg.gwt.dispatch.Dispatcher;
import com.dasberg.gwt.dispatch.Handler;

/**
 * Dispatcher module.
 * @author mischa
 */
public class DispatcherModule extends AbstractMultibindModule {

    @Override
    protected void configure() {
        multibind(Handler.class).toAnnotation(BindHandler.class);
        bind(Dispatcher.class).to(ActionDispatcher.class);
    }

    @Override
    public String getBasePackage() {
        return "com";
    }
}
