package com.dasberg.gwt.dispatch;

import java.io.Serializable;

/**
 * Handler exception.
 * @author mischa
 */
public class HandlerException extends Exception implements Serializable {

    /** Constructor. */
    public HandlerException() {
    }

    /**
     * Constructor.
     * @param s The message.
     */
    public HandlerException(String s) {
        super(s);
    }

    /**
     * Constructor.
     * @param s The message.
     * @param throwable Throwable.
     */
    public HandlerException(String s, Throwable throwable) {
        super(s, throwable);
    }

    /**
     * Constructor.
     * @param throwable Throwable.
     */
    public HandlerException(Throwable throwable) {
        super(throwable);
    }
}
